Bug 1202872

Summary: Error: COMMAND_FAILED: 256
Product: [Fedora] Fedora Reporter: Andreas Nilsson <bugs>
Component: rolekitAssignee: Thomas Woerner <twoerner>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: sgallagh, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rolekit-0.4.0.1-2.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-19 21:09:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andreas Nilsson 2015-03-17 15:26:45 UTC
[root@localhost andreasn]# rolectl deploy --settings-file=/home/andreasn/settings.json domaincontroller
Deployment can take a long time. To monitor the progress, run 
journalctl -ef -u rolekit
Error: COMMAND_FAILED: 256


Output from journalctl is:

mar 17 10:32:23 localhost.localdomain yum[19381]: Installed: freeipa-server-4.1.3-2.fc21.x86_64
mar 17 10:32:25 localhost.localdomain yum[19381]: Installed: freeipa-server-trust-ad-4.1.3-2.fc21.x86_64
mar 17 10:32:27 localhost.localdomain setsebool[21043]: The named_write_master_zones policy boolean was changed to 1 by root
mar 17 10:32:27 localhost.localdomain yum[19381]: Installed: bind-dyndb-ldap-6.1-1.fc21.x86_64
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    Loading Index file from '/var/lib/ipa/sysrestore/sysrestore.index'
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    httpd is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    kadmin is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    dirsrv is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    pki-cad is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    pki-tomcatd is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    install is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    krb5kdc is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    ntpd is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    named is not configured
mar 17 10:34:41 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    ipa_memcached is not configured
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:41 ERROR: ipa         : DEBUG    filestore is tracking no files
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Loading Index file from '/var/lib/ipa-client/sysrestore/sysrestore.index'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    /usr/sbin/ipa-server-install was invoked with options: {'conf_sshd': True, 'ip_addresses': [], 'setup_pkinit': True, 'mkhomedir': False, 'create_sshfp': True, 'http_cert_files': None, 'conf_ntp': True, 'subject': None, 'no_forwarders': True, 'ui_redirect': True, 'external_ca_type': None, 'domain_name': None, 'idmax': 0, 'hbac_allow': False, 'http_cert_name': None, 'dirsrv_cert_files': None, 'no_dnssec_validation': False, 'ca_signing_algorithm': None, 'no_reverse': True, 'pkinit_cert_files': None, 'unattended': True, 'external_cert_files': None, 'trust_sshfp': False, 'no_host_dns': False, 'dirsrv_cert_name': None, 'realm_name': 'LOCALDOMAIN', 'forwarders': None, 'idstart': 1056600000, 'external_ca': False, 'pkinit_cert_name': None, 'conf_ssh': True, 'zonemgr': None, 'ca_cert_files': None, 'setup_dns': True, 'host_name': None, 'debug': True, 'reverse_zones': [], 'uninstall': False}
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    missing options might be asked for interactively later
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    IPA version 4.1.3-2.fc21
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Loading Index file from '/var/lib/ipa/sysrestore/sysrestore.index'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Starting external process
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    args='/bin/systemctl' 'is-enabled' 'chronyd.service'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Process finished, return code=1
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stdout=
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stderr=Failed to get unit file state for chronyd.service: No such file or directory
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Starting external process
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    args='/bin/systemctl' 'is-active' 'chronyd.service'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Process finished, return code=3
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stdout=unknown
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stderr=
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Starting external process
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    args='/usr/sbin/httpd' '-t' '-D' 'DUMP_VHOSTS'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Process finished, return code=0
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stdout=VirtualHost configuration:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: *:8443                 localhost.localdomain (/etc/httpd/conf.d/nss.conf:83)
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    stderr=AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using localhost.localdomain. Set the 'ServerName' directive globally to suppress this message
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG      File "/usr/lib/python2.7/site-packages/ipaserver/install/installutils.py", line 642, in run_script
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:     return_value = main_function()
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:   File "/usr/sbin/ipa-server-install", line 936, in main
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:     sys.exit(str(e) + "\n")
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    The ipa-server-install command failed, exception: SystemExit: Invalid hostname 'localhost.localdomain', must be fully-qualified.
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: Invalid hostname 'localhost.localdomain', must be fully-qualified.
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR:
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: ipa         : DEBUG    Restoring system configuration file '/etc/hosts'
mar 17 10:34:42 localhost.localdomain roled[19379]: 2015-03-17 10:34:42 ERROR: <class 'rolekit.errors.RolekitError'>: COMMAND_FAILED: 256

Comment 1 Stephen Gallagher 2015-09-28 15:28:34 UTC
This should be fixed in 0.4.0. The short version is that if the domain wasn't specified, rolekit would attempt to use the user's hostname to determine what domain to use. However, if the hostname was the default of localhost.localdomain, we would fail.

We now require that the domain name must be specified explicitly.

Comment 2 Fedora Update System 2015-09-28 15:31:31 UTC
rolekit-0.4.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 3 Fedora Update System 2015-09-29 06:21:57 UTC
rolekit-0.4.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 4 Fedora Update System 2015-10-07 17:30:29 UTC
rolekit-0.4.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 5 Fedora Update System 2015-10-08 10:31:05 UTC
rolekit-0.4.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 6 Fedora Update System 2015-10-14 18:29:38 UTC
rolekit-0.4.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 7 Fedora Update System 2015-10-14 22:53:27 UTC
rolekit-0.4.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 8 Fedora Update System 2015-10-19 21:09:36 UTC
rolekit-0.4.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.